package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.HwAlarmLevel;

/**
 * 报警级别Mapper接口
 * 
 * @author xins
 * @date 2023-09-15
 */
public interface HwAlarmLevelMapper 
{
    /**
     * 查询报警级别
     * 
     * @param alarmLevelId 报警级别主键
     * @return 报警级别
     */
    public HwAlarmLevel selectHwAlarmLevelByAlarmLevelId(Long alarmLevelId);

    /**
     * 查询报警级别列表
     * 
     * @param hwAlarmLevel 报警级别
     * @return 报警级别集合
     */
    public List<HwAlarmLevel> selectHwAlarmLevelList(HwAlarmLevel hwAlarmLevel);

    /**
     * 新增报警级别
     * 
     * @param hwAlarmLevel 报警级别
     * @return 结果
     */
    public int insertHwAlarmLevel(HwAlarmLevel hwAlarmLevel);

    /**
     * 修改报警级别
     * 
     * @param hwAlarmLevel 报警级别
     * @return 结果
     */
    public int updateHwAlarmLevel(HwAlarmLevel hwAlarmLevel);

    /**
     * 删除报警级别
     * 
     * @param alarmLevelId 报警级别主键
     * @return 结果
     */
    public int deleteHwAlarmLevelByAlarmLevelId(Long alarmLevelId);

    /**
     * 批量删除报警级别
     * 
     * @param alarmLevelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHwAlarmLevelByAlarmLevelIds(Long[] alarmLevelIds);
}
